export const AttributeColumns = [
  { type: 'seq', title: 'No.', width: 60, align: 'center', fixed: 'left' },
  {
    field: 'name', title: '属性名称', minWidth: 'auto', align: 'center', fixed: 'left',
    slots: { default: 'name' }
  },
  {
    field: 'key', title: '属性标识', minWidth: 'auto', align: 'center',
    slots: { default: 'key' }
  },
  {
    field: 'update_datetime', title: '更新时间', minWidth: 'auto', align: 'center',
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', minWidth: 'auto', align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', minWidth: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductBrandColumns = [
  { type: 'seq', title: 'No.', width: 60, align: 'center', fixed: 'left' },
  { field: 'brand_name', title: '品牌名称',  align: 'center', fixed: 'left',
    slots: { default: 'brand_name' }
  },
  {
    field: 'update_datetime', title: '更新时间', align: 'center',
    slots: { default: 'update_datetime' }
  },
  { field: 'create_datetime', title: '创建时间',  align: 'center', slots: { default: 'create_datetime' } },
  {
    field: 'operate', title: '操 作', align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];

export const ProductCategoryColumns = [
  { type: 'seq', title: 'No.', width: 60, align: 'center', fixed: 'left' },
  { field: 'name', title: '种类名称',  align: 'center', fixed: 'left',
    slots: { default: 'name' }
  },
  {
    field: 'main', title: '主属性', align: 'center', width: 480,
    slots: { default: 'main' }
  },
  {
    field: 'status', title: '状 态', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', align: 'center',
    slots: { default: 'update_datetime' }
  },
  { field: 'create_datetime', title: '创建时间',  align: 'center', slots: { default: 'create_datetime' } },
  {
    field: 'operate', title: '操 作', align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];
